package com.template.services;

import com.template.model.pojo.AlumniUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.CommonResult;
import com.template.model.result.PageUtils;
import com.template.model.vo.AccountVo;
import com.template.model.vo.UserVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-20
 */
public interface AlumniUserService extends IService<AlumniUser> {
    int insertAlumniUser(AlumniUser au);

    int updateAlumniUser(AlumniUser au);

    AlumniUser queryDataById(Integer id);

    List<AlumniUser> querySuperAdmins();

    AlumniUser queryDataByCardNumber(String cardNumber);

    AlumniUser queryDataByAccount(String account);

    PageUtils<AlumniUser> queryPageList(int currentPage, int pageCount, String name, String orgName, Integer collegeId, Integer periodId, Integer majorId, Integer classId);

    List<AlumniUser> queryUsers(String keyword);

    PageUtils<UserVo> queryUserPages(int currentPage, int pageCount, List<Integer> departmentIds);

    List<AlumniUser> queryDataByIds(List<String> ids);

    PageUtils<AlumniUser> queryAccountPage(int currentPage, int pageCount, String account, String startTime, String endTime);

    PageUtils<AlumniUser> queryUserPage(int currentPage, int pageCount, String name);

    PageUtils<AlumniUser> queryUserPageByClassId(int currentPage, int pageCount,Integer classId, String name);

    AlumniUser queryUserByCnp(String cardNumber,String name,String phone);
}
